import { O as Options, D as DtsConfig } from './options-376b6a9a';
export { F as Format, O as Options } from './options-376b6a9a';
import 'esbuild';
import 'rollup';

/** Mark some properties as required, leaving others unchanged */
declare type MarkRequired<T, RK extends keyof T> = Exclude<T, RK> & Required<Pick<T, RK>>;

declare type NormalizedOptions = Omit<MarkRequired<Options, 'entryPoints' | 'format' | 'outDir'>, 'dts'> & {
    dts?: DtsConfig;
    tsconfigResolvePaths: Record<string, any>;
};
declare const defineConfig: (options: Options | Options[] | ((overrideOptions: Options) => Options | Options[])) => Options | Options[] | ((overrideOptions: Options) => Options | Options[]);
declare function build(_options: Options): Promise<void>;

export { NormalizedOptions, build, defineConfig };
